1 Reply Latest reply: Dec 1, 2013 5:16 PM by roam
Bridoo Level 1 Level 1 (0 points)

I currently have Mac Os X version 10.5.8 and it will not let me update to the newest itunes. What do I need to be able to update to the newest itunes?


MacBook, Mac OS X (10.5.8)